Runtime

## org.eclipse.gmf.runtime.common.core.service
Class ProviderChangeEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.gmf.runtime.common.core.service.ProviderChangeEvent

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  LabelChangedEvent

public class ProviderChangeEvent
extends java.util.EventObject

An event that indicates when a provider changes. Service implementers are expected to expose service specific sub-classes to help listeners understand the exact nature of the state change. They are not expected to instantiate these events.

Service provider implementers never need to subclass this interface or its subclasses, they instead instantiate the service specific subclass in their provider implementation when they need to notify listeners of a state change.

See Also:
  `AbstractProvider.addProviderChangeListener(IProviderChangeListener)`, `IProviderChangeListener.providerChanged(ProviderChangeEvent)`, `IProvider.addProviderChangeListener(IProviderChangeListener)`, `IProvider.removeProviderChangeListener(IProviderChangeListener)`, Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ProviderChangeEvent(IProvider source)` Constructs a new provider change event for the specified provider.

Method Summary
`void` `setSource(IProvider source)` Sets the `source` instance variable to the specified value.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProviderChangeEvent

    public ProviderChangeEvent(IProvider source)

  Constructs a new provider change event for the specified provider.

Parameters:
  `source` - The provider that changed.

Method Detail

### setSource

    public void setSource(IProvider source)

  Sets the `source` instance variable to the specified value. This method is reserved for internal use.

  Parameters:
    `source` - The new value for the `source` instance variable.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.